CREATE TABLE gtg_ore_model (
    RE_MODEL_ID              NUMBER(19, 0) ,
    MODEL_NAME               VARCHAR2(4000)    NOT NULL,
    MODEL_TYPE               VARCHAR2(120)     NOT NULL,
    CONTENT_ID               NUMBER(19, 0)     NOT NULL,
    IS_SOD                   VARCHAR2(4)       NOT NULL,
    AMOUNT                   VARCHAR2(2400),
    TRANSACTION_NUMBER       VARCHAR2(2400),
    TRANSACTION_STATUS       VARCHAR2(2400),
    TRANSACTION_USER         VARCHAR2(2400),
    TRANSACTION_TYPE         VARCHAR2(2400),
    BUSINESS_PROCESS_ID      NUMBER(19, 0)     NOT NULL,
    TRANSACTION_CURRENCY     VARCHAR2(2400),
    TRANSACTION_ID           VARCHAR2(2400),
    TRX_SOD_USER_DETAILS     VARCHAR2(4000),
    SUPPLIER_NAME            VARCHAR2(960) ,
    SUPPLIER_SITE_NAME       VARCHAR2(960) ,
    LEDGER_NAME              VARCHAR2(960) ,
    BUSINESS_UNIT_NAME       VARCHAR2(960) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    IS_ACTIVE                NUMBER(1, 0)  ,
    IS_SEEDED                NUMBER(1, 0)  ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    RE_MODEL_ID              NUMBER(19, 0) ,
    MODEL_NAME               VARCHAR2(4000)    NOT NULL,
    MODEL_TYPE               VARCHAR2(120)     NOT NULL,
    CONTENT_ID               NUMBER(19, 0)     NOT NULL,
    IS_SOD                   VARCHAR2(4)       NOT NULL,
    AMOUNT                   VARCHAR2(2400),
    TRANSACTION_NUMBER       VARCHAR2(2400),
    TRANSACTION_STATUS       VARCHAR2(2400),
    TRANSACTION_USER         VARCHAR2(2400),
    TRANSACTION_TYPE         VARCHAR2(2400),
    BUSINESS_PROCESS_ID      NUMBER(19, 0)     NOT NULL,
    TRANSACTION_CURRENCY     VARCHAR2(2400),
    TRANSACTION_ID           VARCHAR2(2400),
    SUPPLIER_NAME            VARCHAR2(960) ,
    SUPPLIER_SITE_NAME       VARCHAR2(960) ,
    LEDGER_NAME              VARCHAR2(960) ,
    BUSINESS_UNIT_NAME       VARCHAR2(960) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    IS_ACTIVE                NUMBER(1, 0)  ,
    IS_SEEDED                NUMBER(1, 0)  ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    TRX_SOD_USER_DETAILS     VARCHAR2(4000),
    CONSTRAINT pk_gtg_ore_model PRIMARY KEY (RE_MODEL_ID, RE_MODEL_ID)
);
